<!--
IGAC proyecto SNC
@franz.gamba

@description  Panelgrid para asignar el responsable de la actualizacion con sus 
funcionarios a cargo y contratistas
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="100%" id="panelGridAsignarResponsableDeActualizacion">

    <p:ajaxStatus onstart="statusDialog.show();"
                  onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
    <p:messages id="msgsAsignarResponsableAct"
                showDetail="false" globalOnly="false" />
    <p:panel id="asignarResponsableDeActualizacionPnl">
        <h:panelGrid columns="1" cellspacing="3">
            <h:panelGrid columns="2" cellspacing="3">

                <h:outputLabel value="Responsable de la Actualización:"
                               styleClass="outputLabelStyle" />
                <h:selectOneMenu id="responsableActualizacion"
                                 label="Responsable de Actualización" 
                                 value="#{currentManagedBeanParam.selectedResponsable}">
                    <f:selectItems
                        value="#{currentManagedBeanParam.responsablesActualizacion}" />
                </h:selectOneMenu>

            </h:panelGrid>
            <h:panelGrid columns="1" cellspacing="3" id="tblFuncionariosTerritorial">
                <h:outputLabel value="Funcionarios a cargo"
                               styleClass="outputLabelStyle" />
                <p:dataTable var="funcionario" id="tablaFuncionarios"
                             paginatorPosition="bottom" paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15" 
                             value="#{currentManagedBeanParam.listaFuncionarios}" 
                             emptyMessage="No existen funcionarios asociados al proceso de actualización">

                    <p:column headerText="Nombre">
                        <h:outputText value="#{funcionario.nombreCompleto}" />
                    </p:column>

                    <p:column headerText="Documento">
                        <h:outputText value="#{funcionario.identificacion}" />
                    </p:column>
                    <p:column headerText="Acción">
                        <p:commandButton
                            action="#{currentManagedBeanParam.eliminarFuncionarioDeTerritorial}"
                            icon="ui-icon ui-icon-trash" title="Eliminar" process="@this"
                            id="eliminarFuncionarioACargo"
                            update=":asignarResponsableActualizacionForm:tblFuncionariosTerritorial">
                            <f:setPropertyActionListener value="#{funcionario}"
                                                         target="#{currentManagedBeanParam.funcionarioAEliminar}" />
                        </p:commandButton>
                    </p:column>

                </p:dataTable>

                <h:panelGrid columns="2" cellspacing="5">
                    <p:spacer height="30" width="0" />
                    <p:commandButton id="btnAgregarFuncionario"
                                     widgetVar="agregarFuncionarioWV" value="Agregar funcionarios"
                                     ajax="true"	icon="ui-icon ui-icon-plus"					
                                     oncomplete="agregarFuncionariosWV.show()" 
                                     update=":agregarFuncionarioForm:panelGridAsignarFuncionariosTerritorial" 
                                     process="@this">
                    </p:commandButton>
                </h:panelGrid>

                <p:spacer height="10" width="0" />

                <h:outputLabel value="Contratistas a cargo"
                               styleClass="outputLabelStyle" />
                <p:dataTable var="contratistas" id="tablaContratistas"
                             paginatorPosition="bottom" paginator="true" rows="10"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15" selectionMode="single"
                             value="#{currentManagedBeanParam.listaContratistas}" rowKey="#{contratistas.id}"
                             emptyMessage="No existen contratistas asociados al proceso de actualización">

                    <p:column headerText="Nombre">
                        <h:outputText value="#{contratistas.contratistaNombre}" />
                    </p:column>

                    <p:column headerText="Documento">
                        <h:outputText value="#{contratistas.contratistaIdentificacion}" />
                    </p:column>

                </p:dataTable>
            </h:panelGrid>
        </h:panelGrid>

    </p:panel>
    <p:panel>
        <p:commandButton id="btnVerDocumento" value="Ver Documento" icon="ui-icon ui-icon-search"/>
        <p:spacer height="0" width="100" />

        <p:commandButton id="btnAceptar" widgetVar="aceptarAsignacionWV"
                         icon="ui-icon ui-icon-check" ajax="false"		
                         update="asignarResponsableDeActualizacionPnl, msgsAsignarResponsableAct"
                         action="#{currentManagedBeanParam.asignarRecursoHumanoYResponsableAActualizacion}"
                         value="Aceptar" />

        <p:commandButton id="btnCancelar" icon="ui-icon ui-icon-close"
                         oncomplete="asignarResponsableWV.hie()" value="Cancelar" />
    </p:panel>
</h:panelGrid>